//+------------------------------------------------------------------+ 
//|                                                 Weekly v1.01.mq4 |
//|                                               copyright 2006 DGC |
//+------------------------------------------------------------------+

#property copyright "Copyright  2006 DGC"

extern double     dLastClose;
extern int        iTradeSpacing  = 50;
extern int        iStopSpacing   = 30;
extern double     Lots           = 0.1;

double            dLongEntry;
double            dShortEntry;
double            dLongStop;
double            dShortStop;
int            slippage       = 3;
bool           bInitialize    = True;
bool           bFirstEntry    = True;
bool           bInLong        = False;
bool           bInShort       = False;
int            iLongTicket;
int            iShortTicket;
string         CurrentBuild   = "v1.01";

int init(){return(0);}
int deinit(){return(0);}

int start()
{
   if (bInitialize == True)
   {
      dLongEntry = dLastClose + iTradeSpacing * Point;
      dLongStop = dLongEntry - iStopSpacing * Point;
      dShortEntry = dLastClose - iTradeSpacing * Point;
      dShortStop = dShortEntry + iStopSpacing * Point;
      bInitialize = False;
   }
   else
   {
      if (bInLong == True)
      {
         if (Bid <= dLongStop)
         {
            OrderClose (iLongTicket, Lots, slippage, Blue);
            bInLong = False;
         }
      }   
      else
      {      
         if (Bid >= dLongEntry)
         {
            if (bFirstEntry == True)
            {
               iLongTicket = OrderSend (Symbol(), OP_BUY, Lots, Ask, slippage, 0, 0, NULL, 0, 0, Blue);
               dShortEntry = dLastClose;
               dShortStop = dShortEntry + iStopSpacing * Point;
               bFirstEntry = False;
               bInLong = True;
            }
            else
            {
               iLongTicket = OrderSend (Symbol(), OP_BUY, Lots, Ask, slippage, 0, 0, NULL, 0, 0, Blue);
               bInLong = True;
            }
         }
      }   

      if (bInShort == True)
      {
         if (Ask >= dShortStop)
         {
            OrderClose (iShortTicket, Lots, slippage, Red);
            dShortEntry = dShortStop;
            dShortStop = dShortEntry + iStopSpacing * Point;
            bInShort = False;
         }
      }   
      else
      {      
         if (Bid <= dShortEntry)
         {
            if (bFirstEntry == True)
            {
               iShortTicket = OrderSend (Symbol(), OP_SELL, Lots, Bid, slippage, 0, 0, NULL, 0, 0, Red);
               dLongEntry = dLastClose;
               dLongStop = dLongEntry - iStopSpacing * Point;
               bFirstEntry = False;
               bInShort = True;
            }
            else
            {
               iShortTicket = OrderSend (Symbol(), OP_SELL, Lots, Bid, slippage, 0, 0, NULL, 0, 0, Red);
               bInShort = True;
            }
         }
      }
   }      
   return(0);
}


